1. Payment Links
Koba Documentation
  • Introduction
  • Definitions
    • Data Types
    • Remittance / Payouts Callback Overview
    • C2B / Payins Callback Overview
    • Koba Transactions Response Codes for Payouts
    • MCCMNC Codes
    • API Credentials
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests (B2C)
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
        POST
      • Find Payment Links By Id
        GET
      • Update Payment Link
        PUT
    • Express Deposits (C2B)
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
  • Account Validation
    • Overview
    • Account Number Validation Request
      POST
    • Find KYC Status by SystemTraceAuditNumber
      GET
    • Account Validation
      POST
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Platform Services
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
  1. Payment Links

Update Payment Link

PUT
/v1/payment-link/update-payment-link
id: The payment link Id generated
ShortCode: Unique identifier for the C2B
FirstName: First name of the customer making the payment link
LastName: Last name of the customer making the payment link
EmailAddress: Email Address of the customer
PhoneNumber: Phone Number of the customer
Description:Description of the payment link
IsAmountSpecified: Defines whether it is true or false
Amount:Amount that is being transacted.
RedirectionSite:The site where one will be redirected to after the payment link is successful

Request

Authorization
Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/v1/payment-link/update-payment-link' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": "string",
    "shortCode": "string",
    "firstName": "string",
    "lastName": "string",
    "emailAddress": "user@example.com",
    "phoneNumber": "string",
    "description": "string",
    "isAmountSpecified": true,
    "amount": 0,
    "redirectionSite": "http://example.com"
}'
Response Response Example
{}
Modified at 2026-10-28 13:34:05
Previous
Find Payment Links By Id
Next
Overview
Built with